{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Список источников" %}
{% set page_id = "8.0" %}


{% block heading %}
    <div class="content-header d-flex align-items-center justify-content-between flex-wrap">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="content-header__item">
            <a href="#" class="btn btn-primary shadow">Добавить источник вручную</a>
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="card">
        <div class="card-header pb-0">
            <fieldset class="form-group position-relative has-icon-left flex-grow-1 mr-75 mb-50">
                <input type="text" class="form-control" placeholder="Поиск канала">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </fieldset>
            <div class="d-flex align-items-center mb-50">
                <button type="button" class="btn btn-primary shadow mr-75">Поиск</button>
                <fieldset>
                    <select class="select2">
                        <option selected disabled>Сортировка</option>
                        <option>По возрастанию</option>
                        <option>По убыванию</option>
                        <option>Сначала новые</option>
                    </select>
                </fieldset>
            </div>
        </div><!-- .card-header -->
        <div class="card-body">
            <div class="font-size-small w-100">Всего :493 223</div>
            <!-- datatable start -->
            <div class="table-responsive border">
                <table class="table table-transparent table-hover table-extended-main">
                    <thead>
                    <tr>
                        <th class="text-nowrap">Лого</th>
                        <th class="text-nowrap">ID</th>
                        <th class="text-nowrap">URL</th>
                        <th class="text-nowrap">Официальное название</th>
                        <th class="text-nowrap">Название в базе</th>
                        <th class="text-nowrap">Статус</th>
                        <th class="text-nowrap">Место выхода</th>
                        <th class="text-nowrap">Редактировать</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00956</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Amp.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Ведомости - Восточно...</div>
                        </td>
                        <td class="text-nowrap font-size-14">Ведомости - ВУ</td>
                        <td class="text-nowrap font-size-14">Действие прек...</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="avatar border">
                                <img src="assets/img/table_logo.png" class="img-fluid" alt="avatar">
                            </div>
                        </td>
                        <td class="text-nowrap">
                            <a href="#" class="text-decoration-none">00349</a>
                        </td>
                        <td class="text-nowrap font-size-14">
                            <a href="#" class="text-decoration-none color-primary">Alsya.ru</a>
                        </td>
                        <td class="font-size-14">
                            <div style="min-width: 100px">Sherstinka</div>
                        </td>
                        <td class="text-nowrap font-size-14">Sherstinka-SK</td>
                        <td class="text-nowrap font-size-14">Действующее</td>
                        <td class="text-nowrap font-size-14">Москва</td>
                        <td class="font-size-small">
                            <a href="#">редактировать</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div><!-- .table-responsive -->
            <div class="page-nav pt-2">
                <div class="page-nav__sm">
                    <button class="btn btn-primary btn-long">Показать еще</button>
                </div>
                <div class="page-nav__md mb-75 justify-content-end">
                    <ul class="pagination justify-content-end mb-0">
                        <li class="page-item previous disabled">
                            <a class="page-link" href="javascript:void(0);">
                                <i class="bx bx-chevron-left"></i>
                            </a>
                        </li>
                        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
                        <li class="page-item next">
                            <a class="page-link" href="javascript:void(0);">
                                <i class="bx bx-chevron-right"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>
            <!-- datatable ends -->
        </div><!-- .card-body -->
    </div><!-- .card -->
{% endblock %}


{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false,},
                ]
            }
        );
    </script>

{% endblock %}
